org.bouncycastle.cms.test

## Class SunProviderTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.SunProviderTest

    public class SunProviderTest
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`SunProviderTest()`

### Method Summary

Methods
`static Test` `suite()`
`void` `testKeyTransAES128()`
`void` `testKeyTransAES192()`
`void` `testKeyTransAES256()`
`void` `testKeyTransDES()`
`void` `testSHA1WithRSAEncapsulated()`
`void` `testSHA1WithRSAStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SunProviderTest

    public SunProviderTest()

### Method Detail

#### testSHA1WithRSAEncapsulated

    public void testSHA1WithRSAEncapsulated()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSHA1WithRSAStream

    public void testSHA1WithRSAStream()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransDES

    public void testKeyTransDES()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128

    public void testKeyTransAES128()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES192

    public void testKeyTransAES192()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES256

    public void testKeyTransAES256()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`